## org.eclipse.uml2.uml
Enum TransitionKind

    java.lang.Object
      java.lang.Enum<TransitionKind>
          org.eclipse.uml2.uml.TransitionKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransitionKind>, org.eclipse.emf.common.util.Enumerator

    public enum TransitionKind

extends java.lang.Enum<TransitionKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Transition Kind', and utility methods for working with them. TransitionKind is an enumeration type. kind=#local implies owner.source.isComposite kind=#external implies owner.source.isComposite

See Also:
  `UMLPackage.getTransitionKind()`

Enum Constant Summary
`EXTERNAL_LITERAL` The 'External' literal object
`INTERNAL_LITERAL` The 'Internal' literal object
`LOCAL_LITERAL` The 'Local' literal object

Field Summary
`static int` `EXTERNAL` The 'External' literal value
`static int` `INTERNAL` The 'Internal' literal value
`static int` `LOCAL` The 'Local' literal value
`static java.util.List<TransitionKind>` `VALUES` A public read-only list of all the 'Transition Kind' enumerators

Method Summary
`static TransitionKind` `get(int value)` Returns the 'Transition Kind' literal with the specified integer value
`static TransitionKind` `get(java.lang.String literal)` Returns the 'Transition Kind' literal with the specified literal value
`static TransitionKind` `getByName(java.lang.String name)` Returns the 'Transition Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static TransitionKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransitionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERNAL_LITERAL

    public static final TransitionKind INTERNAL_LITERAL

  The 'Internal' literal object.

  See Also:
    `INTERNAL`

### LOCAL_LITERAL

    public static final TransitionKind LOCAL_LITERAL

  The 'Local' literal object.

  See Also:
    `LOCAL`

### EXTERNAL_LITERAL

    public static final TransitionKind EXTERNAL_LITERAL

  The 'External' literal object.

  See Also:
    `EXTERNAL`

Field Detail

### INTERNAL

    public static final int INTERNAL

  The 'Internal' literal value. Implies that the transition, if triggered, occurs without exiting or entering the source state. Thus, it does not cause a state change. This means that the entry or exit condition of the source state will not be invoked. An internal transition can be taken even if the state machine is in one or more regions nested within this state.

  See Also:
    `INTERNAL_LITERAL`, Constant Field Values

### LOCAL

    public static final int LOCAL

  The 'Local' literal value. Implies that the transition, if triggered, will not exit the composite (source) state, but it will apply to any state within the composite state, and these will be exited and entered.

  See Also:
    `LOCAL_LITERAL`, Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

  The 'External' literal value. Implies that the transition, if triggered, will exit the composite (source) state.

  See Also:
    `EXTERNAL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<TransitionKind> VALUES

  A public read-only list of all the 'Transition Kind' enumerators.

Method Detail

### values

    public static final TransitionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransitionKind c : TransitionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransitionKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static TransitionKind get(java.lang.String literal)

  Returns the 'Transition Kind' literal with the specified literal value.

### getByName

    public static TransitionKind getByName(java.lang.String name)

  Returns the 'Transition Kind' literal with the specified name.

### get

    public static TransitionKind get(int value)

  Returns the 'Transition Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<TransitionKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.